<?php
$template = <<<END
<section class="home5_thumb">
<!--{def item/title}-->
<h2 class="c">{val item/title}</h2>
<!--{/def}-->
<div class="thumbnail-view"></div>
<div class="thumbnail">
<!--{each item/list}-->
<img src="user_data/{val item/list/image}" alt="">
<!--{/each}-->
</div>
<!--{def item/link_text}-->
<p class="btn1 c"><a href="{val item/link}">{val item/link_text}</a></p>
<!--{/def}-->
</section>
END;

$home5_thumb = array(						// ブロック
		"title" => "home 5 画像切替",	// ブロックの名称
		"name" => "home5_thumb",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=home5_thumb",
			"class" => "notice",
		),
			"title" => array(
				"title" => "タイトル",
				"type" => "text",
			),
			"image1" => array(
				"title" => "画像1",
				"type" => "image",
			),
			"image2" => array(
				"title" => "画像2",
				"type" => "image",
			),
			"image3" => array(
				"title" => "画像3",
				"type" => "image",
			),
			"image4" => array(
				"title" => "画像4",
				"type" => "image",
			),
			"image5" => array(
				"title" => "画像5",
				"type" => "image",
			),
			"image6" => array(
				"title" => "画像6",
				"type" => "image",
			),
			"image7" => array(
				"title" => "画像7",
				"type" => "image",
			),
			"image8" => array(
				"title" => "画像8",
				"type" => "image",
			),
			"image9" => array(
				"title" => "画像9",
				"type" => "image",
			),
			"image10" => array(
				"title" => "画像10",
				"type" => "image",
			),
			"link_text" => array(
				"title" => "リンク表示",
				"type" => "text",
				"info" => "リンク表示、リンク先両方書かないとリンクは表示されません",
			),
			"link" => array(
				"title" => "リンク先",
				"type" => "text",
			),
		),
		"func" => "func_home5_thumb",		// 処理プログラム（指定がない物は標準処理）
	);

block_add($home5_thumb);

// スライドの設定
function func_home5_thumb($def, $info)
{
	$list = array();
	for ($i = 1; $i <= 10; $i++) {
		if ($info["image" . $i]) {
			unset($item);
			$item["image"] = $info["image" . $i . "_file"];
			$list[] = $item;
		}
	}
	$info["list"] = $list;
	return $info;
}
